package de.jottyfan.bico.modules.theme;

import java.time.LocalDate;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.jottyfan.bico.db.public_.tables.records.TLessonRecord;
import de.jottyfan.bico.modules.theme.model.KeyValueBean;
import de.jottyfan.bico.modules.theme.model.ThemeBean;

/**
 *
 * @author jotty
 *
 */
@Service
public class ThemeService {

	@Autowired
	private ThemeRepository repository;

	public List<ThemeBean> getThemeManipulation(Integer slotId) {
		return repository.getThemeManipulation(slotId);
	}

	public List<KeyValueBean> getAllThemes() {
		return repository.getAllThemes();
	}

	public void addThemeToSlot(Integer slotId, Integer pkSubject) {
		repository.addThemeToSlot(slotId, pkSubject);
	}

	public void removeThemeFromSlot(Integer pkLessonSubject) {
		repository.removeThemeFromSlot(pkLessonSubject);
	}

	public TLessonRecord getLesson(Integer slotId) {
		return repository.getLesson(slotId);
	}

	public void updateLesson(TLessonRecord bean) {
		repository.updateLesson(bean);
	}

	public LocalDate getSlotDay(Integer slotId) {
		return repository.getSlotDay(slotId);
	}
}
